cancel
Showing results for 
Search instead for 
Did you mean: 
Create Post
Level 9

Encryption Error 30044 after upgrading switch

Running ERS 4900 swtich stacks with CatTools. Everything was working great for awhile until we needed to upgrade one of our stacks from version 7.2.0.009 to 7.6.0.007 due to an unrelated issue. Now when the backup is being performed in CatTools I get this error: Failed to connect. Reason: (30044) No Available encryption algorithms match with the sever..

Here is the full error log:

<NEWSESSION CatTools 3.6.0 10/22/2018 12:35:51 PM>

<PROTOCOL=SSH2>

<DEVICE TYPE=Cisco.Router.General>

<ACTIVITY TYPE=Device.CLI.Send commands>

<ACTIVITY SCRIPT=C:\Program Files (x86)\CatTools3\Scripts\Client.Device.CLI.Send commands.txt>

<USERS NAME FOR DEVICE=m4900sc129>

<C Err=No available encryption algorithms match with the server. 12:35:51 PM><D 12:35:51 PM>

<SCRIPT VALUES>

<HOSTNAME="m4900dc2">

<PROMPT VTY="m4900dc2>">

<PROMPT ENABLE="m4900dc2#">

<PROMPT CONFIG="m4900dc2(">

The switch is definitely running SSH. I did notice that connecting directly with the 'Telnet/SSH' button from the devices menu did not work and had a similar error. To resolve this, I had to update PuTTY to the newest version. Now that PuTTY is updated, this option now works however, i am still getting the same error with CatTools.

Any help is appreciated! Thanks!

0 Kudos
3 Replies
Level 15

Are you able to connect via putty?  If so, what SSH type do you use?

0 Kudos

SSH2 and connecting via PuTTY does work. However, as I said in my post, I did have to update PuTTY to a newer version to resolve that issue.


I am thinking that its a cipher issue. I contacted Extreme and they changed from using OpenSSL encryption to Mocana in version 7.5. I'm thinking that my old version of CatTools doens't have a cipher to talk to them, unfortunately. I downloaded a trial version of CatTools 3.11 and it did work in that version.

0 Kudos
Level 9

Still looking for an answer to this, any help is appreciated. Thanks!

0 Kudos